Bug 170970 - notecase: useless debuginfo package, broken LD in build
notecase: useless debuginfo package, broken LD in build
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: notecase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-16 15:03 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-17 08:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-10-16 15:03:30 EDT
The LD definition in %build of notecase is broken, should be using eg \$(CXX) 
instead of $CXX so that stuff isn't substituted by the shell. 
 
But even that doesn't help with getting a sane debuginfo package out of this, 
%install builds the binary again (!), this time without the customized LD (so 
-s ends up in the linker command line and debuginfo is lost).
Comment 1 Ignacio Vazquez-Abrams 2005-10-30 00:31:42 EDT
It's in need of a version update anyways, so two birds with one stone...
Comment 2 Ville Skyttä 2005-10-30 02:21:19 EST
I took a look at 1.1.2-1 in CVS, and it still results in a useless debuginfo 
package.  Additionally, the build does not honor $RPM_OPT_FLAGS. 
Comment 3 Ville Skyttä 2006-12-17 09:10:35 EST
The useless debuginfo package has been reintroduced in 1.1.9-2:

$ rpm -qlp
http://fedoraproject.org/extras/development/i386/debug/notecase-debuginfo-1.1.9-2.fc6.i386.rpm
(contains no files)

More info: http://fedoraproject.org/wiki/Packaging/Debuginfo
Comment 4 Damien Durand 2007-03-17 08:51:09 EDT
fixed

Note You need to log in before you can comment on or make changes to this bug.